API Documentation
Authentication
To use the API, you must first create an API token. This token must be included in all API requests.
To create a token, open Menu in the top right corner of a premium board. Then go to Settings → API & Webhooks and click Add token under API tokens. This requires you to be an owner or administrator of the board.
If the board owner or administrator has enabled personal API tokens for the board, any board member can create a personal API token. A personal API token acts on your behalf. It can never do more than your role on the board allows. To create one, click your avatar in the top right corner and go to Account settings. Then click Manage personal API tokens under API.
The token is sent as a Bearer token in the Authorization header.
Request format
curl -H "Authorization: Bearer <SECRET_TOKEN>" https://kanbanflow.com/api/v1/<RESOURCE>
Example
curl -H "Authorization: Bearer 6FsUJdDqjyQj9Gfk29dLcgAJSM" https://kanbanflow.com/api/v1/board